Get Form Layout Schema

Get Form Layout Schema
Get form layout schema for runnable item.

Get the layout schema for the provided runnable item, given that it exists on the specified endpoint

Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/custom/schema-generation/form
COPY
Request Body
RunnableItem of type(s) application/json
Required

Show optional properties

{
    "id": "string",
    "type": "string"
}
{
    "id": "string",
    "name": "string",
    "description": "string",
    "projectId": "string",
    "type": "string",
    "inputParameters": [
        {
            "type": "string",
            "name": "string",
            "description": "string"
        }
    ],
    "outputParameters": [
        {
            "type": "string",
            "name": "string",
            "description": "string"
        }
    ],
    "endpointLink": "string",
    "inputBindings": [
        {
            "inputKey": "string",
            "value": "string",
            "type": {
                "dataType": "string",
                "referenceType": "string",
                "fields": [
                    {
                        "label": "string",
                        "description": "string",
                        "signpost": "string",
                        "type": "FormSchemaFieldType Object",
                        "step": "number",
                        "default": {},
                        "valueList": {},
                        "placeholder": "string",
                        "constraints": {
                            "matchConstraint": {
                                "match": {}
                            },
                            "constraints": {
                                "constraints": {}
                            }
                        },
                        "refresh": {
                            "type": "string"
                        },
                        "shortValueName": [
                            "string"
                        ],
                        "id": "string",
                        "valueTree": {}
                    }
                ],
                "isMultiple": false
            },
            "bindingAction": {
                "actionName": "string",
                "actionInputs": [
                    "Binding Object"
                ]
            }
        }
    ]
}
string
id
Required

id

string
name
Optional

name

string
description
Optional

description

string
projectId
Optional

projectId

string
type
Required

type

array of object
inputParameters
Optional

inputParameters

array of object
outputParameters
Optional

outputParameters

string
endpointLink
Optional

endpointLink

array of object
inputBindings
Optional

inputBindings

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the form layout schema

Returns FormLayoutSchema of type(s) */*
{
    "layout": {
        "pages": [
            {
                "id": "string",
                "title": "string",
                "sections": [
                    {
                        "id": "string",
                        "title": "string",
                        "collapsed": false,
                        "fields": [
                            {
                                "id": "string",
                                "display": "string",
                                "nestedFields": [
                                    {
                                        "id": "string",
                                        "display": "string",
                                        "styles": "string",
                                        "state": {
                                            "readonlyState": {
                                                "read-only": {}
                                            },
                                            "visibilityState": {
                                                "visible": {}
                                            },
                                            "states": {
                                                "states": {}
                                            }
                                        },
                                        "size": 0,
                                        "submit": false,
                                        "signpostPosition": "string"
                                    }
                                ],
                                "styles": "string",
                                "state": {
                                    "readonlyState": {
                                        "read-only": {}
                                    },
                                    "visibilityState": {
                                        "visible": {}
                                    },
                                    "states": {
                                        "states": {}
                                    }
                                },
                                "size": 0,
                                "submit": false,
                                "signpostPosition": "string"
                            }
                        ],
                        "state": {
                            "readonlyState": {
                                "read-only": {}
                            },
                            "visibilityState": {
                                "visible": {}
                            },
                            "states": {
                                "states": {}
                            }
                        },
                        "isExpandable": false,
                        "isVertical": false
                    }
                ],
                "state": {
                    "readonlyState": {
                        "read-only": {}
                    },
                    "visibilityState": {
                        "visible": {}
                    },
                    "states": {
                        "states": {}
                    }
                }
            }
        ]
    },
    "schema": {
        "fields": {
            "fields": {
                "label": "string",
                "description": "string",
                "signpost": "string",
                "type": {
                    "dataType": "string",
                    "referenceType": "string",
                    "fields": [
                        "ComplexTypeField Object"
                    ],
                    "isMultiple": false
                },
                "step": "number",
                "default": {},
                "valueList": {},
                "placeholder": "string",
                "constraints": {
                    "matchConstraint": {
                        "match": {}
                    },
                    "constraints": {
                        "constraints": {}
                    }
                },
                "refresh": {
                    "type": "string"
                },
                "shortValueName": [
                    "string"
                ],
                "valueTree": {}
            }
        }
    },
    "messages": [
        {
            "fieldId": "string",
            "severity": "string",
            "validationType": "string",
            "message": "string"
        }
    ],
    "options": {
        "externalValidations": [
            {
                "label": "string",
                "source": {
                    "id": "string",
                    "type": "string",
                    "parameters": [
                        {
                            "$type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "parameterMap": {
                                "parameterMap": {}
                            }
                        }
                    ],
                    "isPageable": false,
                    "externalSourceProviderType": "string"
                },
                "target": [
                    "string"
                ]
            }
        ]
    }
}

400

'Bad Request' if the RunnableItem is not in specified format

Operation doesn't return any data structure

403

'Forbidden' no forms viewer access rights

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"string","type":"string"}' https://{api_host}/form-service/api/custom/schema-generation/form